Subject: Re: [PATCH] sequencer: detect author name errors in read_author_script()

From: Junio C Hamano <[email-masked]>
Date: Mon, 03 Oct 2022 11:07:38 -0700

Jeff King <[email-masked]> writes:

Jeff King <[email-masked]> writes:

> On Mon, Oct 03, 2022 at 04:45:06AM -0400, Jeff King wrote:
>
>> > I haven't been able to actually trigger the bug, but strongly suspect
>> > I'm just not familiar enough with how rebasing works under the covers.
>> 
>> It's a little tricky, because we avoid writing and reading the
>> author-script file unless necessary. An easy way to need it is to break
>> with a conflict (which writes it), and then resume with "git rebase
>> --continue" (which reads it back while committing).
>> 
>> Here's a patch to fix it. Thanks for your report!
>
> And here's a v2 based on the feedback received. The one-liner fix is the
> same, but it tries to be a little less clever when constructing the
> tests and has 200% more typo fixes in the commit message. Thanks Phillip
> and Ævar for review.

The create-conflict & try-resolve pair does make it easier to see
what goes on in these tests.

Will queue.

Thanks.